neo4j_failure_details Struct Reference

Failure details. More...

`#include <neo4j-client.h>`

## Data Fields

const char * | code
| The failure code. More...
const char * | message
| The complete failure message. More...
const char * | description
| The human readable description of the failure. More...
unsigned int | line
| The line of statement text that the failure relates to. More...
unsigned int | column
| The column of statement text that the failure relates to. More...
unsigned int | offset
| The character offset into the statement text that the failure relates to. More...
const char * | context
| A string providing context around where the failure occurred. More...
unsigned int | context_offset
| The offset into the context where the failure occurred. More...

## Detailed Description

Failure details.

## Field Documentation

## code

const char* neo4j_failure_details::code

The failure code.

## column

unsigned int neo4j_failure_details::column

The column of statement text that the failure relates to.

Will be 0 if the failure was not related to a line of statement text.

## context

const char* neo4j_failure_details::context

A string providing context around where the failure occurred.

Attention
  This may contain UTF-8 multi-byte characters.

Will be `NULL` if the failure was not related to the statement text.

## context_offset

unsigned int neo4j_failure_details::context_offset

The offset into the context where the failure occurred.

Will be 0 if the failure was not related to a line of statement text.

## description

const char* neo4j_failure_details::description

The human readable description of the failure.

Attention
  This may contain UTF-8 multi-byte characters.

## line

unsigned int neo4j_failure_details::line

The line of statement text that the failure relates to.

Will be 0 if the failure was not related to a line of statement text.

## message

const char* neo4j_failure_details::message

The complete failure message.

Attention
  This may contain UTF-8 multi-byte characters.

## offset

unsigned int neo4j_failure_details::offset

The character offset into the statement text that the failure relates to.

Will be 0 if the failure is related to the first character of the statement text, or if the failure was not related to the statement text.